Bug 13049 - vfs_solarisacl fails to build on Samba 4.7.0
vfs_solarisacl fails to build on Samba 4.7.0
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.7.0
All Solaris
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-22 19:18 UTC by Jorge Schrauwen
Modified: 2017-11-01 08:51 UTC (History)
2 users (show)

See Also:


Attachments
patch for vfs_solarisacl.h (391 bytes, text/plain)
2017-09-22 19:18 UTC, Jorge Schrauwen
no flags Details
patch for vfs_solarisacl.c (431 bytes, patch)
2017-09-22 19:18 UTC, Jorge Schrauwen
no flags Details
patch for vfs_solarisacl.h (391 bytes, patch)
2017-09-22 19:19 UTC, Jorge Schrauwen
no flags Details
git-am fix cherry-pick from master. (1.64 KB, patch)
2017-10-04 21:14 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jorge Schrauwen 2017-09-22 19:18:23 UTC
Created attachment 13626 [details]
patch for vfs_solarisacl.h

One function declaration in the header does not match the one in the source file.

Specfically vfs_solarisacl.h mentions:

NTSTATUS vfs_solarisacl_init(void);

Which should now be:

NTSTATUS vfs_solarisacl_init(TALLOC_CTX *);

This was already correct in vfs_solarisacl.c

There is one more patch naaded for vfs_solarisacl.c also the function solarisacl_sys_acl_delete_def_file is missing the const keyword for smb_filename.

Attached are 2 from my pkgsrc build...
Comment 1 Jorge Schrauwen 2017-09-22 19:18:44 UTC
Created attachment 13627 [details]
patch for vfs_solarisacl.c
Comment 2 Jorge Schrauwen 2017-09-22 19:19:03 UTC
Created attachment 13628 [details]
patch for vfs_solarisacl.h
Comment 3 Volker Lendecke 2017-10-03 07:14:39 UTC
Both patches look of course good. Can you send them as git-format-patch with your Signed-off-by to samba-technical@lists.samba.org?
Comment 4 Jorge Schrauwen 2017-10-03 17:34:32 UTC
Done, I think. I have never used git format-patch and git send-email before.
Comment 5 Jeremy Allison 2017-10-04 21:14:45 UTC
Created attachment 13653 [details]
git-am fix cherry-pick from master.
Comment 6 Ralph Böhme 2017-10-05 07:45:00 UTC
Reassigning to Karolin for inclusion in 4.7.
Comment 7 Karolin Seeger 2017-10-24 10:45:23 UTC
(In reply to Ralph Böhme from comment #6)
Pushed to autobuild-v4-7-test.
Comment 8 Karolin Seeger 2017-11-01 08:51:33 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-7-test.
Closing out bug report.

Thanks!